/*=================================================================*/
/** @file D2Constants .hpp
 *  @brief Diablo II Constants.
 *
 *  (c) January 2002 - Joel Falcou for The Phrozen Keep.
 */
/*=================================================================*/

#ifndef __D2CONSTANTS_HPP__INCLUDED__
#define __D2CONSTANTS_HPP__INCLUDED__

/*==================================================================================*/
/*		
 *      Constants & Enumerations.
 */
/*==================================================================================*/

enum D2TypeSize         { D2TS_UNITSIZE = 0x011C };
enum D2UnitTypes        { D2UT_PLAYER, D2UT_NPC, D2UT_MISSILE, D2UT_ITEM };
enum D2DifficultyModes  { D2DM_NORMAL, D2DM_NIGHTMARE, D2DM_HELL };
enum D2PlayerClass      { D2PC_AMAZON,  D2PC_SORCERESS, D2PC_NECROMANCER, D2PC_PALADIN, D2PC_BARBARIAN, D2PC_DRUID, D2PC_ASSASSIN };

enum D2Stat
{
    STATS_STRENGTH = 0,
    STATS_ENERGY,
    STATS_DEXTERITY,
    STATS_VITALITY,
    STATS_STATPTS,
    STATS_NEWSKILLS,
    STATS_HITPOINTS,
    STATS_MAXHP,
    STATS_MANA,
    STATS_MAXMANA,
    STATS_STAMINA,
    STATS_MAXSTAMINA,
    STATS_LEVEL,
    STATS_EXPERIENCE,
    STATS_GOLD,
    STATS_GOLDBANK,
    STATS_ITEM_ARMOR_PERCENT,
    STATS_ITEM_MAXDAMAGE_PERCENT,
    STATS_ITEM_MINDAMAGE_PERCENT,
    STATS_TOHIT,
    STATS_TOBLOCK,
    STATS_MINDAMAGE,
    STATS_MAXDAMAGE,
    STATS_SECONDARY_MINDAMAGE,
    STATS_SECONDARY_MAXDAMAGE,
    STATS_DAMAGEPERCENT,
    STATS_MANARECOVERY,
    STATS_MANARECOVERYBONUS,
    STATS_STAMINARECOVERYBONUS,
    STATS_LASTEXP,
    STATS_NEXTEXP,
    STATS_ARMORCLASS,
    STATS_ARMORCLASS_VS_MISSILE,
    STATS_ARMORCLASS_VS_HTH,
    STATS_NORMAL_DAMAGE_REDUCTION,
    STATS_MAGIC_DAMAGE_REDUCTION,
    STATS_DAMAGERESIST,
    STATS_MAGICRESIST,
    STATS_MAXMAGICRESIST,
    STATS_FIRERESIST,
    STATS_MAXFIRERESIST,
    STATS_LIGHTRESIST,
    STATS_MAXLIGHTRESIST,
    STATS_COLDRESIST,
    STATS_MAXCOLDRESIST,
    STATS_POISONRESIST,
    STATS_MAXPOISONRESIST,
    STATS_DAMAGEAURA,
    STATS_FIREMINDAM,
    STATS_FIREMAXDAM,
    STATS_LIGHTMINDAM,
    STATS_LIGHTMAXDAM,
    STATS_MAGICMINDAM,
    STATS_MAGICMAXDAM,
    STATS_COLDMINDAM,
    STATS_COLDMAXDAM,
    STATS_COLDLENGTH,
    STATS_POISONMINDAM,
    STATS_POISONMAXDAM,
    STATS_POISONLENGTH,
    STATS_LIFEDRAINMINDAM,
    STATS_LIFEDRAINMAXDAM,
    STATS_MANADRAINMINDAM,
    STATS_MANADRAINMAXDAM,
    STATS_STAMDRAINMINDAM,
    STATS_STAMDRAINMAXDAM,
    STATS_STUNLENGTH,
    STATS_VELOCITYPERCENT,
    STATS_ATTACKRATE,
    STATS_OTHER_ANIMRATE,
    STATS_QUANTITY,
    STATS_VALUE,
    STATS_DURABILITY,
    STATS_MAXDURABILITY,
    STATS_HPREGEN
};

#endif