/*=================================================================*/
/** @file D2DLL.hpp
 *  @brief Main Diablo II extra DLL handler.
 *
 *  This is the header of the D2DLL class.
 */
/*=================================================================*/

#ifndef __D2DLL_HPP__INCLUDED__
#define __D2DLL_HPP__INCLUDED__

#include "Common.hpp"

/*================================================================*/
/** @brief Diablo II Extra DLL Wrapper
 *
 * This class encapsulate the main Diablo II Extra DLL house keeping
 * tasks like loading the original D2 DLLs, initializing the function 
 * pointers.
 *
 **/
/*================================================================*/

class D2DLL  
{
    public:
                                D2DLL();
	virtual                    ~D2DLL();

            bool                init();
            void                release();

            void                setModule( HANDLE pModule );
    static  LPD2FUNCTIONTABLE   getFunctions() { return mFunctionsList; }

    private:

            void                __setFunctionsPointers();
        
            HANDLE              mDLLModule;
            char                mAppPath[MAX_PATH];
    static  LPD2FUNCTIONTABLE   mFunctionsList;
};

#endif