/*=================================================================*/
/** @file D2Struct.hpp
 *  @brief Diablo II structures definitions.
 *
 *  (c) January 2002 - Joel Falcou for The Phrozen Keep.
 */
/*=================================================================*/

#ifndef __D2STRUCT_HPP__INCLUDED__
#define __D2STRUCT_HPP__INCLUDED__

/*=================================================================*/
/*    Common Structure.                                            */ 
/*=================================================================*/

struct D2Seed 
{
	DWORD lowSeed;
    DWORD highSeed;
};

/*=================================================================*/
/*   Forward Declarations.                                         */
/*=================================================================*/

// Unit related
struct UnitAny;

struct PlayerData;
struct MonsterData;
struct ObjectData;
struct ItemData ;

struct Quest;
struct Waypoint;
struct LocInfo;
struct Node;
struct UnitInventory;
struct Skills;
struct D2Info;
struct Stats ;
struct Combat;
struct D2Game;
struct Path;

/*=================================================================*/
/*    Specific Structure.                                          */ 
/*=================================================================*/

#include "D2UnitStruct.h"


#endif
