/*=================================================================*/
/** @file Error.hpp
 *  @brief Error Logger definition.
 *
 *  (c) January 2002 - Joel Falcou for The Phrozen Keep.
 */
/*=================================================================*/

#ifndef __ERROR_HPP__INCLUDED__
#define __ERROR_HPP__INCLUDED__

#include "Common.hpp"

class ErrorLogger
{
    public:

    static void SetLogPath( const char* pPath );
    static void ThrowError( const char* pLocation, const char* pDesc );
    static void WriteInfo( const char* pMessage );
    static void FormatMsg( const char*, ... );
    static void Exit();

    private:

    static char mErrorDesc[1024];
    static char mErrorFile[256];

    static char mLogFile[MAX_PATH];
    static bool mLogInit;
};

#endif